<?php
if( function_exists('acf_add_local_field_group') ):

	acf_add_local_field_group(array(
		'key' => 'group_5affdcd76c8d1',
		'title' => 'Blueprints',
		'fields' => array(
			array(
				'key' => 'field_5affdce12d99a',
				'label' => __('Show this Blueprint?', 'dollie'),
				'name' => 'wpd_is_blueprint',
				'type' => 'radio',
				'instructions' => __('Set this to "No" if you would like to (temporary) make this Blueprint unavailable', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'no' => 'No',
					'yes' => 'Yes',
				),
				'allow_null' => 0,
				'other_choice' => 0,
				'default_value' => 'no',
				'layout' => 'vertical',
				'return_format' => 'value',
				'save_other_choice' => 0,
			),
			array(
				'key' => 'field_5db6f0c97158f',
				'label' => __('Private Blueprint?', 'dollie'),
				'name' => 'wpd_private_blueprint',
				'type' => 'radio',
				'instructions' => __('Optionally make this Blueprint only available to users with the admin role.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'yes' => 'Yes',
					'no' => 'No',
				),
				'allow_null' => 0,
				'other_choice' => 0,
				'default_value' => 'no',
				'layout' => 'vertical',
				'return_format' => 'value',
				'save_other_choice' => 0,
			),
			array(
				'key' => 'field_5b05801b71f85',
				'label' => __('Blueprint Title', 'dollie'),
				'name' => 'wpd_installation_blueprint_title',
				'type' => 'text',
				'instructions' => __('This is shown when using the shortcode [dollie-blueprints] on your pages.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5affdce12d99a',
							'operator' => '==',
							'value' => 'yes',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_5b057871639a5',
				'label' => __('Blueprint Description', 'dollie'),
				'name' => 'wpd_installation_blueprint_description',
				'type' => 'textarea',
				'instructions' => __('This is shown when using the shortcode [dollie-blueprints] on your pages.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5affdce12d99a',
							'operator' => '==',
							'value' => 'yes',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'rows' => 13,
				'new_lines' => 'wpautop',
			),
			array(
				'key' => 'field_5b0578b4639a6',
				'label' => __('Link to Hosting Product', 'dollie'),
				'name' => 'wpd_installation_blueprint_hosting_product',
				'type' => 'relationship',
				'instructions' => __('By linking this blueprint directly to a hosting product you can enable one-click checkout + deployment for your new customers.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5affdce12d99a',
							'operator' => '==',
							'value' => 'yes',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'post_type' => array(
					0 => 'product',
				),
				'taxonomy' => '',
				'filters' => array(
					0 => 'search',
					1 => 'taxonomy',
				),
				'elements' => array(
					0 => 'featured_image',
				),
				'min' => '',
				'max' => 1,
				'return_format' => 'id',
			),
			array(
				'key' => 'field_5b07d0d9dac66',
				'label' => __('Blueprint Image', 'dollie'),
				'name' => 'wpd_blueprint_image',
				'type' => 'radio',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'theme' => 'Active Theme Image (screenshot.png)',
					'screenshot' => 'Screenshot',
					'custom' => 'Custom',
				),
				'allow_null' => 0,
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => '',
				'layout' => 'horizontal',
				'return_format' => 'value',
			),
			array(
				'key' => 'field_5b07d123dac67',
				'label' => __('Upload Your Custom Image', 'dollie'),
				'name' => 'wpd_blueprint_custom_image',
				'type' => 'image',
				'instructions' => __('Ideal dimensions are 700 x 525 PX', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5b07d0d9dac66',
							'operator' => '==',
							'value' => 'custom',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'return_format' => 'url',
				'preview_size' => 'thumbnail',
				'library' => 'all',
				'min_width' => '',
				'min_height' => '',
				'min_size' => '',
				'max_width' => 1600,
				'max_height' => '',
				'max_size' => 1,
				'mime_types' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'container',
				),
			),
		),
		'menu_order' => -2147483648,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_5af9435f11e79',
		'title' => 'Advanced Management',
		'fields' => array(
			array(
				'key' => 'field_5af943727c113',
				'label' => __('Status', 'dollie'),
				'name' => 'wpd_container_status',
				'type' => 'radio',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array(
					'start' => 'Active',
					'restart' => 'Restart',
					'stop' => 'Stopped',
				),
				'allow_null' => 0,
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'start',
				'layout' => 'vertical',
				'return_format' => 'value',
			),
			array(
				'key' => 'field_5af9444e7c114',
				'label' => __('Notes', 'dollie'),
				'name' => 'wpd_container_notes',
				'type' => 'wysiwyg',
				'instructions' => __('Did something custom for this container? Leave notes here.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'tabs' => 'all',
				'toolbar' => 'full',
				'media_upload' => 0,
				'delay' => 1,
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'container',
				),
			),
		),
		'menu_order' => -10,
		'position' => 'side',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_5b0ea59dbbb22',
		'title' => 'Dollie Customer Data(do not edit)',
		'fields' => array(
			array(
				'key' => 'field_5b0ea5c46ffbb',
				'label' => __('Active Dollie Subscription', 'dollie'),
				'name' => 'wpd_active_subscription',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_5b0eaaa52ec57',
				'label' => __('Stop Container at..', 'dollie'),
				'name' => 'wpd_stop_container_at',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_5b0eacb73940a',
				'label' => __('Containers undeployed?', 'dollie'),
				'name' => 'wpd_all_containers_undeployed',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'user_form',
					'operator' => '==',
					'value' => 'edit',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_5efc4bbc3849b',
		'title' => 'Dollie Customer Info',
		'fields' => array(
			array(
				'key' => 'field_5efc4bbc3d814',
				'label' => __('Client Deployed Site Permissions', 'dollie'),
				'name' => 'wpd_client_site_permissions',
				'type' => 'button_group',
				'instructions' => __('Choose the user role given to the user when deploying a site. Default inherits from Dollie - Settings - Access Control', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'default' => 'Default Dollie Setting',
					'administrator' => 'Administrator',
					'editor' => 'Editor',
				),
				'allow_null' => 0,
				'default_value' => 'default',
				'layout' => 'horizontal',
				'return_format' => 'value',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'user_form',
					'operator' => '==',
					'value' => 'edit',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_5ada1549129fb',
		'title' => 'Dollie Settings',
		'fields' => array(
			array(
				'key' => 'field_5adc6aca0a0b4',
				'label' => __('Core', 'dollie'),
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_612616dc483f2',
				'label' => __('Domain Settings', 'dollie'),
				'name' => '',
				'type' => 'message',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => 'dollie-field-break',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => __('This is where you connect your domain.', 'dollie'),
				'new_lines' => 'wpautop',
				'esc_html' => 0,
			),
			array(
				'key' => 'field_5cf62cee6f366',
				'label' => __('Default Deployment Domain', 'dollie'),
				'name' => 'wpd_api_domain',
				'type' => 'text',
				'instructions' => __('The default domain that is being used for the sites deployed by you or your customers. Once you are ready to go live we recommend you add your own domain below', 'dollie'),
				'required' => 1,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
				'readonly' => 1,
			),
			array(
				'key' => 'field_600451ceafac7',
				'label' => __('Use My Own Domain', 'dollie'),
				'name' => 'wpd_show_custom_domain_options',
				'type' => 'true_false',
				'instructions' => __('Add your own domain for site deployments to fully white label the sites being launched on your platform. Adding your own custom domain will no longer use the Default Deployment Domain.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => 'Yes',
				'ui_off_text' => 'No',
			),
			array(
				'key' => 'field_60045271afac9',
				'label' => __('Important - Read this first', 'dollie'),
				'name' => '',
				'type' => 'message',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5cf62cee6f366',
							'operator' => '!=empty',
						),
						array(
							'field' => 'field_600451ceafac7',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => __('<h3>Please read the guide before you continue.</h3><br>
	Follow along with the <a target="_blank" href="https://partners.getdollie.com/?redirect=knowledge-base/domain-setup/">Domain Setup Guide</a> in the partner dashboard to have your domain added in no time, without any hassle.', 'dollie'),
				'new_lines' => 'wpautop',
				'esc_html' => 0,
			),
			array(
				'key' => 'field_5fabba25bf323',
				'label' => __('My Custom Domain', 'dollie'),
				'name' => 'wpd_api_domain_custom',
				'type' => 'text',
				'instructions' => __('Add your domain name, without http(s):// or www. For example "myagency.com"', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5cf62cee6f366',
							'operator' => '!=empty',
						),
						array(
							'field' => 'field_600451ceafac7',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'prepend' => '',
				'append' => '',
			),
			array(
				'key' => 'field_61261729483f3',
				'label' => __('Subscription Settings', 'dollie'),
				'name' => '',
				'type' => 'message',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => 'dollie-field-break',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => __('This is where you connect your domain.', 'dollie'),
				'new_lines' => 'wpautop',
				'esc_html' => 0,
			),
			array(
				'key' => 'field_607ed4584fecc',
				'label' => __('Subscription Plugin', 'dollie'),
				'name' => 'wpd_subscription_plugin',
				'type' => 'select',
				'instructions' => __('Choose which plugin should be used to handle user subscriptions.', 'dollie'),
				'required' => 1,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'WooCommerce' => 'WooCommerce',
				),
				'default_value' => 'WooCommerce',
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_61261757483f4',
				'label' => __('Performance Settings', 'dollie'),
				'name' => '',
				'type' => 'message',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => 'dollie-field-break',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => __('This is where you connect your domain.', 'dollie'),
				'new_lines' => 'wpautop',
				'esc_html' => 0,
			),
			array(
				'key' => 'field_6126147fc0a77',
				'label' => __('Site Dashboard Refresh Time', 'dollie'),
				'name' => 'wpd_site_refresh_time',
				'type' => 'select',
				'instructions' => 'When one of your customers visits their site dashboard it fetches the data from their WordPress installation. By default this data is updated every 15 minutes. If your customers are using your dashboard heavily to update plugins/themes, we recommend to set this to a shorter time.',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					1800 => 'Every 30 Minutes',
					900 => 'Every 15 Minutes',
					300 => 'Every 5 Minutes',
					60 => 'Every minute',
				),
				'default_value' => 300,
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'return_format' => 'value',
				'ajax' => 0,
				'placeholder' => '',
			),
			array(
				'key' => 'field_5e5557cda4c7b',
				'label' => __('Pages', 'dollie'),
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_5e5557eda4c7c',
				'label' => __('Launch Site Page', 'dollie'),
				'name' => 'wpd_launch_page_id',
				'type' => 'post_object',
				'instructions' => __('This page contains the (Elementor) template for launching a new site', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'post_type' => array(
					0 => 'page',
				),
				'taxonomy' => '',
				'allow_null' => 0,
				'multiple' => 0,
				'return_format' => 'id',
				'ui' => 1,
			),
			array(
				'key' => 'field_5e5557eda4f91',
				'label' => __('Launch Blueprint Page', 'dollie'),
				'name' => 'wpd_launch_blueprint_page_id',
				'type' => 'post_object',
				'instructions' => __('This page contains the (Elementor) template for launching a new Blueprint', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'post_type' => array(
					0 => 'page',
				),
				'taxonomy' => '',
				'allow_null' => 0,
				'multiple' => 0,
				'return_format' => 'id',
				'ui' => 1,
			),
			array(
				'key' => 'field_5e555885a4c7e',
				'label' => __('Customer Dashboard Page', 'dollie'),
				'name' => 'wpd_dashboard_page_id',
				'type' => 'post_object',
				'instructions' => __('This page contains the (Elementor) template for the Customer Dashboard', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'post_type' => array(
					0 => 'page',
				),
				'taxonomy' => '',
				'allow_null' => 0,
				'multiple' => 0,
				'return_format' => 'id',
				'ui' => 1,
			),
			array(
				'key' => 'field_5e555864a4c7d',
				'label' => __('Customer Login Page', 'dollie'),
				'name' => 'wpd_login_page_id',
				'type' => 'post_object',
				'instructions' => __('This page contains the (Elementor) template for the customer login.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'post_type' => array(
					0 => 'page',
				),
				'taxonomy' => '',
				'allow_null' => 0,
				'multiple' => 0,
				'return_format' => 'id',
				'ui' => 1,
			),
			array(
				'key' => 'field_5f671253a7256',
				'label' => __('Sites Page', 'dollie'),
				'name' => 'wpd_sites_page_id',
				'type' => 'post_object',
				'instructions' => __('This page contains the (Elementor) template for the global site overview', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'post_type' => array(
					0 => 'page',
				),
				'taxonomy' => '',
				'allow_null' => 0,
				'multiple' => 0,
				'return_format' => 'id',
				'ui' => 1,
			),
			array(
				'key' => 'field_5f67107253906',
				'label' => __('Site Template', 'dollie'),
				'name' => 'wpd_site_template_id',
				'type' => 'post_object',
				'instructions' => __('Choose the Elementor template that is being used for the Single Site design', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'post_type' => array(
					0 => 'elementor_library',
				),
				'allow_null' => 0,
				'multiple' => 0,
				'return_format' => 'id',
				'ui' => 1,
				'taxonomy' => array(
				),
			),
			array(
				'key' => 'field_5e9835e40bfb6',
				'label' => __('Support Link', 'dollie'),
				'name' => 'wpd_support_link',
				'type' => 'url',
				'instructions' => __('This is the URL we use when directing users to submit a ticket for support.', 'dollie'),
				'required' => 1,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => 'https://yoursite.com',
			),
			array(
				'key' => 'field_5adc6af60a0b5',
				'label' => __('Branding', 'dollie'),
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_5adf1b015c888',
				'label' => __('Newsfeed URL', 'dollie'),
				'name' => 'wpd_feed_url',
				'type' => 'url',
				'instructions' => __('The link to the WordPress installation you want to show news from. Use the "Latest News" Dollie widget to show them.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 'https://getdollie.com',
				'placeholder' => 'https://yoursite.com',
			),
			array(
				'key' => 'field_60044dd1decf6',
				'label' => __('Amount of Posts to show in the "Latest News" dashboard widget', 'dollie'),
				'name' => 'wpd_newsfeed_amount_of_posts',
				'type' => 'number',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 6,
				'placeholder' => '',
				'prepend' => '',
				'append' => 'Posts',
				'min' => '',
				'max' => '',
				'step' => '',
			),
			array(
				'key' => 'field_583b2eeaf884d',
				'label' => __('Default Site Screenshot Placeholder', 'dollie'),
				'name' => 'default_screenshot',
				'type' => 'image',
				'instructions' => __('<strong>Recommended size: 700x460px</strong><br>
	This is the default screenshot image shown until a live screenshot is generated.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'return_format' => 'url',
				'preview_size' => 'medium',
				'library' => 'all',
				'min_width' => '',
				'min_height' => '',
				'min_size' => '',
				'max_width' => '',
				'max_height' => '',
				'max_size' => '',
				'mime_types' => '',
			),
			array(
				'key' => 'field_5db808224445b',
				'label' => __('Custom Launch Messages', 'dollie'),
				'name' => 'wpd_custom_launch_splash',
				'type' => 'true_false',
				'instructions' => __('Enable this if you would like to show custom messages whilst a new site is being launched.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => 'Yes',
				'ui_off_text' => 'No',
			),
			array(
				'key' => 'field_5db808224473a',
				'label' => __('Launch Site Wizard', 'dollie'),
				'name' => '',
				'type' => 'message',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5db808224445b',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => __('Fill in the fields below with your custom messages. <br><br><a target="_blank" class="btn button button-secondary" href="'. dollie()->get_latest_container_url() . '?launch-splash-preview">Click here for a preview</a><br><br>Make sure to save your options first.', 'dollie'),
				'new_lines' => 'wpautop',
				'esc_html' => 0,
			),
			array(
				'key' => 'field_5db73a6b5ba07',
				'label' => __('Step 1', 'dollie'),
				'name' => 'wpd_launch_step_1',
				'type' => 'wysiwyg',
				'instructions' => __('This is the first screen shown as soon as someone presses the "Launch Site" button.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5db808224445b',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'media_upload' => 0,
				'toolbar' => 'full',
				'delay' => 0,
				'tabs' => 'all',
				'default_value' => '',
			),
			array(
				'key' => 'field_5db73b99d3b4b',
				'label' => __('Step 2', 'dollie'),
				'name' => 'wpd_launch_step_2',
				'type' => 'wysiwyg',
				'instructions' => __('This is the second screen shown as soon as someone presses the "Launch Site" button.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5db808224445b',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'media_upload' => 0,
				'toolbar' => 'full',
				'delay' => 0,
				'tabs' => 'all',
				'default_value' => '',
			),
			array(
				'key' => 'field_5db73bf2d3b4c',
				'label' => __('Step 3', 'dollie'),
				'name' => 'wpd_launch_step_3',
				'type' => 'wysiwyg',
				'instructions' => __('This is the third screen shown as soon as someone presses the "Launch Site" button.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5db808224445b',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'media_upload' => 0,
				'toolbar' => 'full',
				'delay' => 0,
				'tabs' => 'all',
				'default_value' => '',
			),
			array(
				'key' => 'field_5db808cb4473b',
				'label' => __('Step 4', 'dollie'),
				'name' => 'wpd_launch_step_4',
				'type' => 'wysiwyg',
				'instructions' => __('This is the final screen shown as soon as someone presses the "Launch Site" button. This only shows if the site deploy takes longer than usual.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5db808224445b',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'media_upload' => 0,
				'toolbar' => 'full',
				'delay' => 0,
				'tabs' => 'all',
				'default_value' => '',
			),
			array(
				'key' => 'field_5b06a979537b3',
				'label' => __('Access Control', 'dollie'),
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_5e2eb1ca86e3d',
				'label' => __('Charge For Launching Sites?', 'dollie'),
				'name' => 'wpd_charge_for_deployments',
				'type' => 'true_false',
				'instructions' => __('Would you like to charge your customers for launching websites? If you have this set to "off" anyone can launch sites on your platform without having a paid (WooCommerce) subscription.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 1,
				'ui' => 1,
				'ui_on_text' => 'On',
				'ui_off_text' => 'Off',
			),
			array(
				'key' => 'field_5b094ea3fe6ea',
				'label' => __('Enable Site Management Access?', 'dollie'),
				'name' => 'wpd_allow_site_dashboard_access',
				'type' => 'true_false',
				'instructions' => __('Would you like to give your clients/customers the ability to manage their own sites or would you like to restrict this functionality to your team (Administrators) only?', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 1,
				'ui' => 1,
				'ui_on_text' => 'Yes',
				'ui_off_text' => 'No',
			),
			array(
				'key' => 'field_5b06c0124f11a',
				'label' => __('Available Site Management Features', 'dollie'),
				'name' => 'available_sections',
				'type' => 'checkbox',
				'instructions' => __('Depending on the customers you bring in, you can choose to disable certain sections of the customer dashboard.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5b094ea3fe6ea',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'dashboard' => 'Dashboard',
					'plugins' => 'Plugins',
					'themes' => 'Themes',
					'domains' => 'Domains',
					'migrate' => 'Migrate',
					'backups' => 'Backups',
					'updates' => 'Updates',
					'developer-tools' => 'Developer Tools',
					'delete' => 'Site Deletion',
				),
				'allow_custom' => 0,
				'default_value' => array(
					0 => 'dashboard',
					1 => 'plugins',
					2 => 'themes',
					3 => 'domains',
					4 => 'migrate',
					5 => 'backups',
					6 => 'updates',
					7 => 'developer-tools',
					8 => 'domain',
					9 => 'delete',
				),
				'layout' => 'vertical',
				'toggle' => 0,
				'return_format' => 'value',
				'save_custom' => 0,
			),
			array(
				'key' => 'field_58861a3cc49b2',
				'label' => __('Available Developer Tabs', 'dollie'),
				'name' => 'available_features_developers',
				'type' => 'checkbox',
				'instructions' => __('Depending on the customers you bring in, you can choose to disable certain sections of the developer dashboard.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5b094ea3fe6ea',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'code-editor' => 'Code Editor',
					'database' => 'Database',
					'shell' => 'WP-CLI',
				),
				'allow_custom' => 0,
				'default_value' => array(
					0 => 'code-editor',
					1 => 'adminer',
					2 => 'shell',
				),
				'layout' => 'vertical',
				'toggle' => 0,
				'return_format' => 'value',
				'save_custom' => 0,
			),
			array(
				'key' => 'field_5efc4a49d5752',
				'label' => __('Client Deployed Site Permissions', 'dollie'),
				'name' => 'wpd_client_site_permission',
				'type' => 'radio',
				'instructions' => __('Choose the user role given to the users when deploying a site. Warning, this will change the user roles for all client sites', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'administrator' => 'Administrator',
					'editor' => 'Editor',
				),
				'allow_null' => 0,
				'other_choice' => 0,
				'default_value' => 'administrator',
				'layout' => 'vertical',
				'return_format' => 'value',
				'save_other_choice' => 0,
			),
			array(
				'key' => 'field_5efc4ac9d5754',
				'label' => __('Administrator User Name', 'dollie'),
				'name' => 'wpd_admin_user_name',
				'type' => 'text',
				'instructions' => __('Choose the username that is created for your own administration access. This won\'t be shared with the client.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5efc4a49d5752',
							'operator' => '==',
							'value' => 'editor',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 's_admin',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_5b094d86fe6e8',
				'label' => __('Blueprints', 'dollie'),
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_5b097b1dd50cc',
				'label' => __('Enable Blueprint Site Preview', 'dollie'),
				'name' => 'wpd_enable_site_preview',
				'type' => 'true_false',
				'instructions' => __('Site Previews allows you to quickly showcase the available Site Blueprints you\'ve created. Ideal if you are building for WaaS / SaaS platform.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 1,
				'ui' => 1,
				'ui_on_text' => 'Yes',
				'ui_off_text' => 'No',
			),
			array(
				'key' => 'field_5b094db7fe6e9',
				'label' => __('Site Preview Link', 'dollie'),
				'name' => 'wpd_site_preview_path',
				'type' => 'text',
				'instructions' => __('The link to where your Site Preview will shown. By default you can visit it by going to your-site.com/preview after you have created your first Blueprint', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5b097b1dd50cc',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 'preview',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_5fc8e845150e2',
				'label' => __('Site Preview Logo', 'dollie'),
				'name' => 'wpd_dashboard_preview_logo',
				'type' => 'image',
				'instructions' => __('The logo that is shown in the Site Preview.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_5b097b1dd50cc',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'return_format' => 'url',
				'preview_size' => 'medium',
				'library' => 'all',
				'min_width' => '',
				'min_height' => '',
				'min_size' => '',
				'max_width' => '',
				'max_height' => '',
				'max_size' => '',
				'mime_types' => '',
			),
			array(
				'key' => 'field_5f561b0fc0227',
				'label' => __('Show Default Blueprint', 'dollie'),
				'name' => 'wpd_show_default_blueprint',
				'type' => 'true_false',
				'instructions' => __('When launching a new site, show or hide the Default Blueprint option.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 1,
				'ui' => 1,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_6041ed20d94cc',
				'label' => __('Notifications', 'dollie'),
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_6041ed2ed94cd',
				'label' => __('Deployed Site Email notification', 'dollie'),
				'name' => 'wpd_deployed_site_notification',
				'type' => 'true_false',
				'instructions' => __('An email will be automatically sent when a site has been deployed.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_6041eeaf507f6',
				'label' => __('Client Notification Subject', 'dollie'),
				'name' => 'wpd_deployed_site_client_notification_subject',
				'type' => 'text',
				'instructions' => '',
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6041ed2ed94cd',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 'Your site has been deployed',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_6041ede3d94ce',
				'label' => __('Client Notification', 'dollie'),
				'name' => 'wpd_deployed_site_client_notification_body',
				'type' => 'wysiwyg',
				'instructions' => __('Placeholders:
	{dollie_site_url}, {dollie_site_name}, {dollie_user}, {dollie_site_email}, {dollie_site_username}, {dollie_site_password}', 'dollie'),
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6041ed2ed94cd',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 'Hi,
	Site <a href="{dollie_site_url}">{dollie_site_name}</a> has been deployed successfully.',
				'tabs' => 'all',
				'toolbar' => 'full',
				'media_upload' => 1,
				'delay' => 0,
			),
			array(
				'key' => 'field_6041eed0507f7',
				'label' => __('Admin Notification Subject', 'dollie'),
				'name' => 'wpd_deployed_site_admin_notification_subject',
				'type' => 'text',
				'instructions' => '',
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6041ed2ed94cd',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 'A new site has been deployed',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_6041edf2d94cf',
				'label' => __('Admin Notification', 'dollie'),
				'name' => 'wpd_deployed_site_admin_notification_body',
				'type' => 'wysiwyg',
				'instructions' => __('Placeholders:
	{dollie_site_url}, {dollie_site_name}, {dollie_user}, {dollie_site_email}, {dollie_site_username}, {dollie_site_password}', 'dollie'),
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6041ed2ed94cd',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 'Hi,
	<a href="{dollie_site_url}">{dollie_site_name}</a> site has been deployed by {dollie_user}.',
				'tabs' => 'all',
				'toolbar' => 'full',
				'media_upload' => 1,
				'delay' => 0,
			),
			array(
				'key' => 'field_60a786473ae9b',
				'label' => __('Daily Site Status Digest', 'dollie'),
				'name' => 'wpd_email_digest_notification',
				'type' => 'true_false',
				'instructions' => __('Daily email digest with sites scheduled to be stopped or removed.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_60a787f46c3b5',
				'label' => __('Email Digest Subject', 'dollie'),
				'name' => 'wpd_email_digest_subject',
				'type' => 'text',
				'instructions' => __('Placeholders:
{dollie_sites_stopped_count}, {dollie_sites_removal_count}', 'dollie'),
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_60a786473ae9b',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => 'Dollie - {dollie_sites_stopped_count} will be stopped, {dollie_sites_removal_count} will be completely removed',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_60a786083ae9a',
				'label' => __('Email Digest Content', 'dollie'),
				'name' => 'wpd_email_digest_body',
				'type' => 'wysiwyg',
				'instructions' => __('Placeholders:
{dollie_sites_stopped_list}, {dollie_sites_removal_list}', 'dollie'),
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_60a786473ae9b',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '<h4>The following sites are scheduled to be stopped in the near future:</h4>
<p>{dollie_sites_stopped_list}</p>
<p>Please make sure that all of the above containers are indeed meant to be stopped due to cancelled subscriptions or manual removal.</p>
<h4>The following containers are scheduled to be completely removed in the near future:</h4>
<p>{dollie_sites_removal_list}</p>
<p>Once a site has been completely removed from our infrastructure it can only be restored in emergency situations.</p>',
				'tabs' => 'all',
				'toolbar' => 'full',
				'media_upload' => 1,
				'delay' => 0,
			),
			array(
				'key' => 'field_610a65429a5b9',
				'label' => __('Slack Notifications', 'dollie'),
				'name' => 'wpd_slack_notifications',
				'type' => 'true_false',
				'instructions' => __('Enable Slack notifications on certain Dollie actions.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_610a657c9a5ba',
				'label' => __('Slack Webhook URL', 'dollie'),
				'name' => 'wpd_slack_webhook_url',
				'type' => 'text',
				'instructions' => __('<a href="https://api.slack.com/apps">Create an App</a> on your Slack account, add Incoming Webhooks functionality and then paste the webhook URL here.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_610a65429a5b9',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_610a66159a5bb',
				'label' => __('Slack Actions', 'dollie'),
				'name' => 'wpd_slack_actions',
				'type' => 'checkbox',
				'instructions' => __('Check the action you want to trigger a Slack notification for.', 'dollie'),
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_610a65429a5b9',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'wp-site-deploy-start' => 'Site Launch Started',
					'wp-site-deployed' => 'Site Launch Completed',
					'wp-site-deploy-failed' => 'Site Launch Failed',
					'wp-site-backup-started' => 'Backup Triggered',
					'wp-site-removal-scheduled' => 'Site Scheduled for Removal',
					'wp-site-started' => 'Site Started',
					'wp-site-restarted' => 'Site Restarted',
					'wp-site-stopped' => 'Site Stopped',
					'wp-site-undeployed' => 'Site Removed',
					'wp-site-domain-linked' => 'Domain Added',
					'wp-site-domain-link-error' => 'Domain Setup Error',
					'wp-blueprint-deploy-start' => 'Blueprint Launch Started',
					'wp-blueprint-deployed' => 'Blueprint Launch Completed',
					'wp-blueprint-deploy-failed' => 'Blueprint Launch Failed',
					'wp-site-blueprint-deployed' => 'Blueprint Updated',
				),
				'allow_custom' => 0,
				'default_value' => array(
				),
				'layout' => 'vertical',
				'toggle' => 0,
				'return_format' => 'value',
				'save_custom' => 0,
			),
			array(
				'key' => 'field_6059e3baf19d0',
				'label' => __('Modules', 'dollie'),
				'name' => '',
				'type' => 'tab',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'placement' => 'top',
				'endpoint' => 0,
			),
			array(
				'key' => 'field_6059e3cef19d1',
				'label' => __('Custom Backup Location', 'dollie'),
				'name' => 'wpd_enable_custom_backup',
				'type' => 'true_false',
				'instructions' => __('<strong>This feature is part of our Enterprise solution. Please contact Dollie team to enable this feature on your account.</strong><br>
	Once this is enabled on your account, all deployed sites will be configured with the settings you set here.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => 'Enable',
				'ui_off_text' => 'Disable',
			),
			array(
				'key' => 'field_6059f1cce3d72',
				'label' => __('Provider', 'dollie'),
				'name' => 'wpd_backup_provider',
				'type' => 'select',
				'instructions' => '',
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6059e3cef19d1',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'choices' => array(
					'google' => 'Google Storage',
				),
				'default_value' => 'google',
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 1,
				'ajax' => 0,
				'return_format' => 'value',
				'placeholder' => '',
			),
			array(
				'key' => 'field_6059f200e3d73',
				'label' => __('Access Key', 'dollie'),
				'name' => 'wpd_backup_google_key',
				'type' => 'text',
				'instructions' => '',
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6059f1cce3d72',
							'operator' => '==',
							'value' => 'google',
						),
					),
				),
				'wrapper' => array(
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_6059f22fe3d74',
				'label' => __('Secret Key', 'dollie'),
				'name' => 'wpd_backup_google_secret',
				'type' => 'text',
				'instructions' => '',
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6059f1cce3d72',
							'operator' => '==',
							'value' => 'google',
						),
					),
				),
				'wrapper' => array(
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_6059f23be3d75',
				'label' => __('Bucket Name', 'dollie'),
				'name' => 'wpd_backup_google_path',
				'type' => 'text',
				'instructions' => __('You can fill in just your bucket name like "my_bucket_name" or you can point to a folder in your bucket like "my_bucket_name/example_folder". Every site will be backed up in its own folder.', 'dollie'),
				'required' => 1,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_6059f1cce3d72',
							'operator' => '==',
							'value' => 'google',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'default_value' => '',
				'placeholder' => 'my_bucket_name/example_folder',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
			array(
				'key' => 'field_60a7974f6956c',
				'label' => __('Staging', 'dollie'),
				'name' => 'wpd_enable_staging',
				'type' => 'true_false',
				'instructions' => __('Allow customers to use staging sites functionality. Each enabled staging site will add a cost to your monthly subscription. Please check with the Dollie Sales Team.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'message' => '',
				'default_value' => 0,
				'ui' => 1,
				'ui_on_text' => 'Enable',
				'ui_off_text' => 'Disable',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'options_page',
					'operator' => '==',
					'value' => 'wpd_platform_setup',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_6087e8876a1d5',
		'title' => 'Create or Update Blueprint',
		'fields' => array(
			array(
				'key' => 'field_6087e91f48a42',
				'label' => __('Confirmation', 'dollie'),
				'name' => 'confirmation',
				'type' => 'checkbox',
				'instructions' => '',
				'required' => 1,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 1,
				'choices' => array(
					'yes' => __( 'Yes, deploy new blueprint version!', 'dollie' ),
				),
				'allow_custom' => 0,
				'default_value' => array(
				),
				'layout' => 'vertical',
				'toggle' => 0,
				'return_format' => 'value',
				'save_custom' => 0,
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'container',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

	acf_add_local_field_group(array(
		'key' => 'group_60361f89bf0cf',
		'title' => 'Realtime Customizer',
		'fields' => array(
			array(
				'key' => 'field_604f48fdbb766',
				'label' => __('Realtime Content Customizer', 'dollie'),
				'name' => 'wpd_dynamic_blueprint_data',
				'type' => 'repeater',
				'instructions' => __('Here you can define custom placeholders for data that can be searched and replaced when a site is deployed using this blueprint.', 'dollie'),
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'hide_admin' => 0,
				'collapsed' => '',
				'min' => 0,
				'max' => 0,
				'layout' => 'table',
				'button_label' => 'Add placeholder',
				'sub_fields' => array(
					array(
						'key' => 'field_604f4955bb768',
						'label' => __('Name', 'dollie'),
						'name' => 'name',
						'type' => 'text',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'hide_admin' => 0,
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'maxlength' => '',
					),
					array(
						'key' => 'field_604f4917bb767',
						'label' => __('Placeholder', 'dollie'),
						'name' => 'placeholder',
						'type' => 'text',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'hide_admin' => 0,
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'maxlength' => '',
					),
					array(
						'key' => 'field_60631a4858ebf',
						'label' => __('Suggested value', 'dollie'),
						'name' => 'default_value',
						'type' => 'text',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array(
							'width' => '',
							'class' => '',
							'id' => '',
						),
						'hide_admin' => 0,
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'maxlength' => '',
					),
				),
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'container',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => true,
		'description' => '',
	));

endif;
